BizKitHub
DocsAPI ReferenceLedger/bff/ledger/settings/entity/activate
postLedgerAdmin BFF

/bff/ledger/settings/entity/activate

Activate bookkeeping for an accounting entity

LedgerpostBffLedgerSettingsEntityActivate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
accountingStartsOnstringRequired
Example2026-01-01
fiscalYearStartMonthstring | integer | nullOptional
One of 2:
Variant 1
string | integer
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 1–12
Variant 2
null
baseCurrencystring | nullOptional
One of 2:
Variant 1
string
Length: 3–3
Variant 2
null
autoPostLevel"off" | "suggest" | "assisted" | "full"Optional
mode"double_entry" | "tax_evidence" | "none"Required
framework"cz_500" | "cz_504"Required
vatStatus"payer" | "identified_person" | "non_payer"Required
vatPeriod"month" | "quarter" | "none"Required
ossRegisteredbooleanRequired

Response schema

1 status code documented

200Success
successbooleanRequired
profileIdstringRequired

Response example

application/json
{
  "success": false,
  "profileId": "example_profileId"
}

Request example

POST /bff/ledger/settings/entity/activate

post
curl -X POST "https://api.bizkithub.com/bff/ledger/settings/entity/activate" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "accountingStartsOn": "2026-01-01",
  "ossRegistered": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key